class MoveBlobFilesIndexesToMirai < ActiveRecord::Migration[7.2]
  disable_ddl_transaction!

  def change
    (0...64).map do |i|
      index_name = "index_blob_files_#{i.to_s.rjust(2, "0")}_on_sha256"
      execute "alter index #{index_name} set tablespace mirai"
    end
  end
end
